import 'package:flutter/material.dart';
import 'package:apply/apply.dart';

class BorderExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Padding(
          padding: const EdgeInsets.all(8.0),
          child: OrientationBuilder(
            builder: (_, __) => Div(
              style: "flex flex-col sm:flex-row justify-between",
              //{{
              children: [
                Div(
                  style: "flex-grow ",
                  children: [
                    Div(
                      style: "relative",
                      children: [
                        Div(
                          style: "bg-cover absolute bg-asset-image-assets/images/house2.jpg mt-0 ml-0 mb-15 mr-15",
                          // "absolute bg-cover bg-asset-image-assets/images/house2.jpg",
                        ),
                        Div(
                          style: "absolute border-amber border-2 mt-15 ml-15 mb-0 mr-0",
                        ),
                      ],
                      //
                      //
                    ),
                  ],
                ),
                Div(
                  style: "h-10",
                ),
                Div(
                  style: "flex-grow bg-blue-300",
                ),
              ],
//}}
            )
            ,
          ),
        ),
      );
}
