import 'package:daggerito/daggerito.dart';
import 'package:example/db/documentation_repository.dart';
import 'package:example/documentation/view_model/section_view_model.dart';

class AppComponent extends Component {
  AppComponent()
      : super(
          modules: [
            DocumentationModule(),
          ],
        );
}

class DocumentationModule implements Module {
  @override
  void register(DependencyContainer container) {
    container.register(($) => DocumentationRepository());
    container.register(($) => SectionViewModel($()));
  }
}
