import 'package:example/widgets/multiply_child_widget.dart';
import 'package:flutter/material.dart';
import 'package:apply/apply.dart';

class DocsStart extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Padding(
          padding: EdgeInsets.all(8.0),
          child: OrientationBuilder(
            builder: (_, __) => Div(
              style: "flex flex-col",
              children: [
                buildDivWithConstraints(),
                // odlicanPrimjerSaScrolingomIStackom(),
              ],
            ),
          ),
        ),
      );

  Div buildDivWithConstraints() => Div(
        style: "flex bg-blue-400 flex-wrap overflow-x-auto",
        children: MultiplyChild(
            child: Div(
              style: "w-200, h-50 bg-purple",
              child: P("Ovo je text"),
            ),
            count: 200)(),
      );

  Div odlicanPrimjerSaScrolingomIStackom() => Div(
        style: "flex relative flex-wrap bg-orange h-220 overflow-x-auto",
        children: [
          Div(
            style: "w-300 h-50 bg-pink-600",
            children: [
              P("Ovo je _ dokumentacija"),
            ],
          ),
          SizedBox(
            width: 20,
          ),
          Div(
            style: "w-300 h-50 bg-pink-600",
            children: [
              P("Ovo je _ dokumentacija"),
            ],
          ),
          SizedBox(
            width: 20,
          ),
          Div(
            style: "w-300 h-50 bg-pink-600",
            children: [
              P("Ovo je _ dokumentacija"),
            ],
          ),
          Div(
            style: "absolute a-tl-90 a-l-300 w-300 h-50 bg-blue-600",
            children: [
              P("Ovo je _ dokumentacija"),
            ],
          )
        ],
      );
}
