import 'package:example/documentation/widget/code_viewer.dart';
import 'package:flutter/material.dart';
import 'package:apply/apply.dart';

//
class CodeViewExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Div(
          style: "flex flex-col m-5 rounded-20 ",
          children: [
            Div(
              style: "p-0 object-center flex-grow bg-white-600 overflow-y-auto",
              child: CodeViewer(
                code: """Padding(
  padding: EdgeInsets.all(30.0),
  child: Stack(
    children: [
      Div(
        style: 'm-20 ml-35 mr-18 mt-18 rounded',
        height: 250,
      ),
      Transform.rotate(
        angle: -0.0174533,
        child: Div(
          style: 'm-20 roundddddd',
          height: 250,
          color: Colors.orangeAccent,
        ),
      ),
      Div(
        style: 'm-40 roundddddd',
        color: Colors.white,
        child: Div(
          height: 210,
        ),
      ),
    ],
  ),
),
""",
                height: 400,
                // width: 500,
              ),
            )
          ],
        ),
      );
}

/*
*
* """
<div class=border-0 border-indigo-600 rounded
 ...></div>
<div class='border border-indigo-600 ...'></div>
<div class='border-2 border-indigo-600 ...'></div>
<div class='border-4 border-indigo-600 ...'></div>
<div class='border-8 border-indigo-600 ...'></div>
""",
*
* */
