import 'package:flutter/material.dart';
import 'package:apply/apply.dart';

class ColorsExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Div(
          style: "rounded-20 m-50 bg-gradient-to-br from-orange-400 to-pink-600",
          height: double.infinity,
          width: double.infinity,
          child: Center(
            child: Div(
              style: "flex flex-col justify-center",
              children: [
                Div(
                  color: Colors.orangeAccent,
                  style: "roundddddd m-10",
                  height: 100,
                  width: 100,
                ),
                Padding(
                  padding: EdgeInsets.all(30.0),
                  child: Stack(
                    children: [
                      Div(
                        style: "m-20 ml-35 mr-18 mt-18 roundddddd",
                        height: 250,
                        color: Colors.grey,
                      ),
                      Transform.rotate(
                        angle: -0.0174533,
                        child: Div(
                          style: "m-20 roundddddd",
                          height: 250,
                          color: Colors.orangeAccent,
                        ),
                      ),
                      Div(
                        style: "m-40 roundddddd",
                        color: Colors.white,
                        child: Div(
                          height: 210,
                        ),
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ),
      );

  Widget buildContainer({Color color}) => Padding(
        padding: const EdgeInsets.all(8.0),
        child: Container(
          height: 32,
          width: 32,
          color: color ?? Colors.blueAccent,
        ),
      );
}
