import 'package:flutter/material.dart';
import 'package:apply/apply.dart';

class ExampleOne extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Div(
          style: "flex flex-row",
          children: [
            Div(
              style: "flex flex-row rounded",
              color: Colors.yellow,
              children: [
                buildContainer(),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: buildContainer(),
                ),
                buildContainer(),
              ],
            ),
            Div(
              style: "flex flex-col",
              children: [
                buildContainer(),
                Div(
                  style: "flex-grow-1",
                  color: Colors.blueAccent,
                  children: [
                    Center(child: Text("Ovo je neki tekst")),
                  ],
                ),
                buildContainer(color: Colors.yellow),
                Div(
                  style: "flex-grow-4",
                  child: Center(
                    child: Text("Ovo je neki tekst"),
                  ),
                ),
                buildContainer(),
              ],
            ),
          ],
        ),
      );

  Widget buildContainer({Color color}) => Padding(
        padding: const EdgeInsets.all(8.0),
        child: Container(
          height: 32,
          width: 32,
          color: color ?? Colors.blueAccent,
        ),
      );
}
