import 'package:flutter/material.dart';
import 'package:apply/apply.dart';
//
class OverflowExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Container(
          height: 200,
          child: Div(
            style: "flex flex-col",
            children: [
              Div(
                color: Colors.red,
                style: "flex overflow-x-auto rounded flex-grow",
                  children: List.generate(100, (index) => Text("$index")).toList(growable: false),
              ),
              Div()
            ],
          ),
        ),
      );

  Widget buildContainer({Color color}) => Padding(
        padding: const EdgeInsets.all(8.0),
        child: Container(
          height: 32,
          width: 32,
          color: color ?? Colors.blueAccent,
        ),
      );
}
