import 'package:flutter/material.dart';

class Decorations{
  static BoxDecoration cardRadiusAndShadow = BoxDecoration(
    borderRadius: BorderRadius.circular(20),
    color: Colors.deepOrange.shade900,
    boxShadow: [
      BoxShadow(
        blurRadius: 8,
        color: Colors.black26,
        offset: Offset(0, 2),
      )
    ],
  );

  static BoxDecoration decorationAuthBackground = BoxDecoration(
    gradient: LinearGradient(
      colors: [
        Color.fromRGBO(215, 117, 255, 1).withOpacity(0.5),
        Color.fromRGBO(255, 188, 117, 1).withOpacity(0.9),
      ],
      begin: Alignment.topLeft,
      end: Alignment.bottomRight,
      stops: [0, 1],
    ),
  );
}
