import 'dart:async';

import 'package:kohana/kohana.dart';
import 'package:rxdart/rxdart.dart';

abstract class ViewModel implements LifecycleAware {
  CompositeSubscription disposeBag = CompositeSubscription();

  @override
  FutureOr start() {}

  @override
  FutureOr dispose() async => disposeBag.clear();
}
