import 'package:example/examples/matrix_example.dart';
import 'package:flutter/material.dart';

class WrapBox extends StatelessWidget {
  final Box child;

  WrapBox({
    @required this.child,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        if (child.description != null)
          Align(
            alignment: Alignment.centerLeft,
            child: Text(child.description.toString(), style: TextStyle(fontSize: 11)),
          ),
        Container(height: 1.5, width: double.infinity, color: Colors.black),
        Container(child: child, alignment: Alignment.center, height: 50, width: double.infinity),
        Container(height: 1.0, width: double.infinity, color: Colors.black26),
        SizedBox(height: 70.0),
      ],
    );
  }
}
