library simple_layout;

import 'package:flutter/material.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/font-weight.dart';
import 'package:apply/plugins/font_family.dart';
import 'package:apply/plugins/font_size.dart';

class DebugWidget extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    debugAction(context);
    return Container();
  }

  void debugAction(BuildContext context) {
    List<Div> divs = [];
    Widget child = this;


    do{
      var enclosingDiv = context.findAncestorWidgetOfExactType<Div>();

      if (enclosingDiv != null) {
        divs.add(enclosingDiv);
        child = enclosingDiv;
      }else{
        child = null;
      }
    }while(child != null);

  }
}
