import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/background_color.dart';
import 'package:apply/plugins/box_shadow.dart';

import '../dependencies/test_widget.dart';

void main() async {
    testWidgets('backgroundColor test', (WidgetTester tester) async {
    var div = Div(style: "bg-#21BF48");
      await TestWidget(child: div, tester: tester)();
    var appliedPlugins = div.plugins;

    BackgroundColor backgroundColor = appliedPlugins.getPluginById("backgroundColor");

    if (backgroundColor != null) {
      print(["Ima b color", backgroundColor.getColor(div)]);
      print(backgroundColor.config);
    }
  });
}
