import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/border_width.dart';

import '../dependencies/test_widget.dart';

void main() async {
    testWidgets('BorderWidth test', (WidgetTester tester) async {
      var div = Div(style: "w-0.5");
      await TestWidget(child: div, tester: tester)();
    var appliedPlugins = div.plugins;

    BorderWidth borderWidth = appliedPlugins.getPluginById("borderWidth");

    if (borderWidth != null) {
      print(borderWidth.getWidth());
    }
  });
}
