import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/transform.dart';
import 'package:apply/apply.dart';

import '../dependencies/test_widget.dart';

void main() async {
  testWidgets('transform test', (WidgetTester tester) async {
    var div = Div(
      style: "-rotate-1 skew-x-98 -translate-x-100 scale-50 scale-y-78",
    );

    await TestWidget(child: div, tester: tester)();

    TransformP transform = div.plugins.getPluginById("transform");
    if (transform != null) {
      print([
        "Ima transform",
        transform.debugggg(),
      ]);
    }
  });
}
