import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/font_size.dart';
import 'package:apply/plugins/position/position.dart';
import 'package:apply/plugins/text_decoration.dart';
import 'package:apply/plugins/text_opacity.dart';
import 'package:apply/plugins/width.dart';
import 'package:apply/apply.dart';

import '../dependencies/test_widget.dart';

void main() async {
  testWidgets('typography test', (WidgetTester tester) async {
    var div = Div(style: "text-4xl text-opacity-25 text-line-through");
    await TestWidget(child: div, tester: tester)();

    FontSize widthPlugin = div.plugins.getPluginById("fontSize");
    TextOpacity textOpacityPlugin = div.plugins.getPluginById("textOpacity");
    TextDecorationP textDecorationPlugin = div.plugins.getPluginById("textDecoration");

    if (textDecorationPlugin != null) {
      print(["Vidjet ima li ovaj plugin", textDecorationPlugin.getTextDecoration()]);
    }

    return;
    if (textOpacityPlugin != null) {
      print(["Vidjet ima li ovaj plugin", textOpacityPlugin.getColorOpacity()]);
    }


    if (widthPlugin != null) {
      print(["Ima font size", widthPlugin.fontSize()]);
      print(["Ima font size", widthPlugin.config]);
    }
  });
}
