


import 'package:flutter_test/flutter_test.dart';
import 'package:apply/elements/attributes.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/margin.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/plugins/padding.dart';

void main()async{

  test("regex", (){
    var plugins = Div(style : "p p-10 mx-350").plugins;
    RegExp regExp = new RegExp(
      r"^(m|my|mx)-\d{1,3}$",
    );

    PaddingP padding = plugins.getPluginById("padding");

    print(padding.getPadding());

  });
  test("drugi regex", (){
    var rounded = RegExp(r"rounded");
    var border = RegExp(r"border");
    var check = [rounded, border];
    var _src = """'border-8 border-indigo-600 rounded jos stringova'""";
    var currentPosition = 0;
    var _spans = List<RegExpMatch>();
    var formattedText = List<String>();
    for(var regex in check){
      _spans.addAll(regex.allMatches(_src));
    }

    _spans.sort((a, b,) => a.start > b.start ? 1 : -1);

    print(_spans);
    _spans.forEach((element) {
      print([element.start, element.end, element.pattern]);
    });

    for (final span in _spans) {
      var start = span.start;
      var end = span.end;
      if (currentPosition != start) {
        formattedText
            .add("'${_src.substring(currentPosition, start)}'");
      }

      // formattedText
      //     .add(_src);

      formattedText
          .add("'${_src.substring(start, end)}'");

      currentPosition = end;
    }

    if (currentPosition != _src.length) {
      formattedText
          .add("'${_src.substring(currentPosition, _src.length)}'");
    }

    print(formattedText);
  });
}
