part of '../documentation_repository.dart';

Section __typography() => SectionBuilder()
    .add(id: "typography", title: "Typography", description: "typography")
//     .addPart(
//       title: "Font Family",
//       description: "desc 2",
//       builder: (_) => _FontFamily(),
//     )
//     .addPart(
//   title: "Font Size",
//   description: "desc 2",
//   builder: (_) => _FontSize(),
// )
//     .addPart(
//   title: "Font Weight",
//   description: "desc 2",
//   builder: (_) => _FontWeight(),
// )
//     .addPart(
//   title: "Letter Spacing",
//   description: "desc 2",
//   builder: (_) => _LetterSpacing(),
// )
//     .addPart(
//   title: "Line Height",
//   description: "desc 2",
//   builder: (_) => _LineHeight(),
// )
//     .addPart(
//   title: "Text Alignment",
//   description: "desc 2",
//   builder: (_) => _TextAlignment(),
// )
    .addPart(
      title: "Text color",
      description: "desc 2",
      builder: (_) => _FontColor(),
    )
    .addPart(
      title: "Text opacity",
      description: "desc 2",
      builder: (_) => _FontOpacity(),
    )
    .addPart(
      title: "Text decoration",
      description: "desc 2",
      builder: (_) => _FontDecoration(),
    )
    .build();

var __textStyle = "text-center text-22";

//font-Dancing_Script
class _FontFamily extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "$__textStyle font-Dancing_Script",
          children: [
            P("The quick brown fox jumps over the lazy dog."),
          ],
        ),
      );
}

class _FontSize extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-10 items-start",
          children: [
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-xs bg-orange",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-sm",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-md",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-lg",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-xl",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-2xl",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-3xl",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-35",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-30",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-20",
            ),
          ],
        ),
      );
}

class _FontWeight extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-10 object-center text-md",
          children: [
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-thin",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-extralight",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-light",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-normal",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-medium",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-semibold",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-bold",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-extrabold",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-black",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-800",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-700",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-600",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-500",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-400",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-300",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-200",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "font-100",
            ),
          ],
        ),
      );
}

class _LetterSpacing extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-10",
          children: [
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-tighter",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-tight",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-normal",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-wide",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-wider",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-widest",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-51",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-45",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-30",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-20",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "tracking-0",
            ),
          ],
        ),
      );
}

class _LineHeight extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-20",
          children: [
            _LeadingParagraph(
              style: "",
              title: "leading-none",
            ),
            _LeadingParagraph(
              style: "leading-tight",
              title: "leading-tight",
            ),
            _LeadingParagraph(
              style: "leading-snug",
              title: "leading-snug",
            ),
            _LeadingParagraph(
              style: "leading-normal",
              title: "leading-normal",
            ),
            _LeadingParagraph(
              style: "leading-relaxed",
              title: "leading-relaxed",
            ),
            _LeadingParagraph(
              style: "leading-loose",
              title: "leading-loose",
            ),
            _LeadingParagraph(
              style: "leading-27",
              title: "leading-27",
            ),
            _LeadingParagraph(
              style: "leading-17",
              title: "leading-17",
            ),
          ],
        ),
      );
}

class _TextAlignment extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-10 w-200 bg-fuchsia-300 rounded-20 p-20",
          children: [
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-left",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-center",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-right",
            ),
            P(
              "The quick brown fox jumps over the lazy dog.",
              style: "text-justify",
            ),
          ],
        ),
      );
}

class _LeadingParagraph extends StatelessWidget {
  final String style;
  final String title;

  _LeadingParagraph({
    this.style = '',
    this.title = '',
  });

  @override
  Widget build(BuildContext context) => Div(
        style: "flex flex-col items-start $style",
        children: [
          Text(title ?? ""),
          P("Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda, quia temporibus eveniet a libero incidunt suscipit laborum, rerum accusantium modi quidem, ipsam illum quis sed voluptatum quae eum fugit earum."),
        ],
      );
}

class _FontColor extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "font-bold text-purple-600",
          children: [
            P("The quick brown fox jumps over the lazy dog."),
          ],
        ),
      );
}

class _FontOpacity extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-10 font-bold",
          children: [
            P("The quick brown fox jumps over the lazy dog.", style: "text-opacity-100"),
            P("The quick brown fox jumps over the lazy dog.", style: "text-opacity-75"),
            P("The quick brown fox jumps over the lazy dog.", style: "text-opacity-50"),
            P("The quick brown fox jumps over the lazy dog.", style: "text-opacity-25"),
          ],
        ),
      );
}

class _FontDecoration extends StatelessWidget {
  @override
  Widget build(BuildContext context) => _SectionPartWidget(
        topWidget: Div(
          style: "flex flex-col space-y-20 font-bold",
          children: [
            P("The quick brown fox jumps over the lazy dog.", style: "text-underline"),
            P("The quick brown fox jumps over the lazy dog.", style: "text-overline"),
            P("The quick brown fox jumps over the lazy dog.", style: "text-line-through"),
            P("The quick brown fox jumps over the lazy dog.", style: "text-no-underline"),
          ],
        ),
      );
}
