import 'package:example/widgets/test_state_widget.dart';
import 'package:flutter/material.dart';
import 'package:apply/apply.dart';

//
class PositionExample extends StatefulWidget {
  @override
  _State createState() => _State();
}

class _State extends State<PositionExample> {
  @override
  Widget build(BuildContext context) => Scaffold(
        appBar: AppBar(
          actions: [
            TextButton(
              onPressed: addWidget,
              child: Text(
                "Klikni",
                style: TextStyle(color: Colors.white),
              ),
            ),
          ],
        ),
        body: Div(
          child: Div(
            style: "flex flex-col relative",
            children: [
              Container(
                color: Colors.redAccent,
                height: 110,
              ),
              Div(
                style: "bg-pink",
                height: 110,
              ),
              Div(
                color: Colors.orangeAccent,
                style: "at-200",
                child: Column(
                  children: [
                    TestStateWidget(),
                    Div(
                      style: "font-700 text-50 font-Dancing_Script",
                      child: P("Esselamu alejkum :)..."),
                    ),
                  ],
                ),
              )
            ],
          ),
        ),
      );

  void addWidget() {
    setState(() {});
  }
}
