import 'package:apply/apply.dart';
import 'package:flutter/material.dart';

class PostPayExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) => Scaffold(
        body: Body(
          builder: (context) => Div(
            style: "object-center m-20 mr-40",
            child: Stack(
              overflow: Overflow.visible,
              fit: StackFit.loose,
              children: [
                Positioned(
                  top: 0,
                  right: 0,
                  left: 0,
                  bottom: 0,
                  child: Div(
                    style: "bg-gradient-to-r mt-20 mr-10 from-cyan-400 to-blue-500 shadow transform -rotate-6 rounded-2xl",
                  ),
                ),
                Div(
                  style: "bg-white h-350 shadow ml-15 rounded-2xl mb-20",
                ),
              ],
            ),
          ),
        ),
      );

  Div buildExampleOne() => Div(
        style: "object-center",
        child: Div(
          style: "bg-blue mx-20",
          children: [
            Div(
              style: "bg-orange h-200 rotate-5 origin-x-10 -origin-y-5",
            ),
          ],
        ),
      );
}
