import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/animation.dart';
import 'package:apply/apply.dart';

void main() async {
  test("animation test", () {
    var div = Div(
      style: "animate-staggered animate-slide animate-fadein animate-3000",
      children: [
        Div(
          style: "animate-slide",
        )
      ],
    );
    var appliedPlugins = div.ownPlugins;

    AnimationP animation = appliedPlugins.getPluginById("animation");

    if (animation != null) {
      print([
        "Ima animation",
        animation.setAnimation(div, null),
      ]);
    }
  });
}
