import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/background_image.dart';
import 'package:apply/apply.dart';

void main() async {
  test("background asset image test", () {
    var appliedPlugins = Div(style: "bg-asset-image-assets/images/house.jpg").plugins;

    BackgroundImage backgroundImage = appliedPlugins.getPluginById("backgroundImage");

    if (backgroundImage != null) {
      print(["Ima borderRadius", backgroundImage.modeOfOperation, backgroundImage.getImageValue()]);
    }
  });
}
