import 'package:flutter_test/flutter_test.dart';
import 'package:apply/core/framework.dart';
import 'package:apply/elements/div.dart';
import 'package:apply/plugins/object-position.dart';
import 'package:apply/plugins/position/position.dart';
import 'package:apply/plugins/width.dart';
import 'package:apply/apply.dart';

import '../dependencies/test_widget.dart';

void main() async {
  testWidgets('object position test', (WidgetTester tester) async {
    var div = Div(style: "object-right-center");
    await TestWidget(child: div, tester: tester)();

    ObjectPosition objectPosition = div.plugins.getPluginById("objectPosition");

    if (objectPosition != null) {
      print(["Ima objectPosition", objectPosition.getAlignment()]);
    }
  });
}
